/*
  Freefall Blink, an example of using the Freefall with Arduino software
 
 Turns on an LED on for one tenth-second, then off for one tenth-second, repeatedly.
 
 The circuit:
 * High Brightness LED connected from Freefall pin 10 (VLED) to Freefall pin 8 (LED0).
 OR
 * Normal LED with series resistor connected the same way.
 
 */

int ledPin =  5;    // Freefall pin 8 = Arduino digital pin 5

// The setup() method runs once, when the sketch starts

void setup()   {                
  // initialize the digital pin as an output:
  pinMode(ledPin, OUTPUT);     
}

// the loop() method runs over and over again,
// as long as the Arduino has power

void loop()                     
{
 
  	// begin main loop
	while (1)
	{
		while(!mma7455_data_ready());
		if (mma7455_read_y() > 0) {
			led0_duty(0);
			led1_duty(255);
		} else {
			led0_duty(255);
			led1_duty(0);
		}

		// watch dog must be reset 
		//  at least once every four seconds
		wdt_reset(); 
}
