/*
 * usartpack.h - sends configurable-length packets over USART
 *
 *   Copyright (c) Stingworks
 *
 * File History:
 *  
 *   24 July 2010: created
 *
 */

#ifndef _USARTPACK_H_
#define _USARTPACK_H_

#include "usbdrv.h"

uint8_t packet_data[FREEFALL_PACKET_LENGTH]; // note: set packet length in "freefall_protocol.h"

void usartpack_init() {
	usart_init(12); //57.6kbaud @ 12MHz
	packetizer_init(0,usart_putc);
}

void usartpack_update() {
	packetizer_write(packet_data,FREEFALL_PACKET_LENGTH);
}

#endif /* _USARTPACK_H_ */
